Subject: [tcpm] WG status pre-IETF80

From: Wesley Eddy <[email-masked]>
Date: Mon, 28 Mar 2011 09:51:25 +0200

Hello; below is a snapshot of TCPM status from the chairs prior to the 
IETF80 meeting.  As usual, we may have made mistakes, so please correct 
us, if needed.

As a reminder, there is currently a poll on the TCP AO document proposed 
as a WG item, and we are also still searching for reviewer volunteers 
for portions of the tcp-security recommendations.  Please let us know 
your thoughts on either.

Recent RFCs
===========

RFC 6093 - On the Implementation of the TCP Urgent Mechanism (January, 2011)

WG Items Nearing RFC Publication
================================

draft-eggert-tcpm-historicize
Milestone Target: Informational in October 2010
Status: in RFC-Editor's queue

draft-ietf-tcpm-tcp-timestamps
Milestone Target: Informational
Status: in RFC-Editor's queue

draft-paxson-tcpm-rfc2988bis
Milestone Target: Proposed Standard in March 2011
Status: publication requested on 3/22/11

WG Items in WGLC or being revised after WGLC
============================================

Clarification of sender behavior in persist condition
draft-ietf-tcpm-persist
Milestone Target: Informational
Status: finished WGLC, needs update to resolve comments
Action: need to make changes in response to suggestions to
         remove appendix w/ API and one of the recommendations

MSS Option
draft-ietf-tcpm-tcpmss
Milestone Target: Proposed Standard in July 2009
Status: WGLC started 8/19, ended 9/8 (extended)
         2nd WGLC started at IETF 77, and is ended with few comments
Action: David will check with commenters from first WGLC to see
           if issues are closed
         Wes/Michael will write PROTO and send to the IESG, after WGLC
           starts and completes

Active WG Items
===============

1323bis
draft-ietf-tcpm-1323bis
Milestone Target: Proposed Standard in July 2009
Status: Needs revision
Action: Revise & WGLC (action with D. Borman)

TCP Security
draft-ietf-tcpm-tcp-security
Milestone Target: BCP in August 2010
Status: content needs work
Action: need to have people review this; possibly in individual sections
         (few volunteers so far)

SACK Entry / RFC 3517bis
draft-blanton-tcpm-3517bis
Milestone Target: Proposed Standard in October 2010
Action: ready for WGLC? (need to identify as WG doc in tracker)

Increasing the Initial Window
draft-ietf-tcpm-initcwnd
Milestone Target: August 2011 to determine intended status
                   September 2011 to publish document
Status: under active discussion / review
Action: determine intended status through continued WG discussion

NewReno Update
draft-ietf-tcpm-rfc3782-bis
Status: probably ready for WGLC
Milestone Target: Proposed Standard in April 2011

Documents Under a Poll to Become WG Items
=========================================

AO NAT
draft-touch-tcp-ao-nat
Status: IETF 77 discussion determined this should be Experimental, 
whether or
           not it is a WG document; need to ask TCPM list
Action: poll started on 3/16/11, to close 3/30/11

Other Proposals Not Yet Decided On
==================================

draft-allman-tcpm-bump-initcwnd
draft-allman-tcpm-rto-consider
draft-bittau-tcp-crypt
draft-cheng-tcpm-fastopen
draft-fairhurst-tcpm-newcwv
draft-gont-tcpm-rfc1948bis
draft-hurtig-tcpm-rtorestart
draft-mathis-tcpm-proportional-rate-reduction
draft-scheffenegger-tcpm-sack-loss-recovery
draft-scheffenegger-tcpm-timestamp-negotiation
draft-touch-tcpm-automatic-iw

draft-mongazon-tcpm-tcp-rehash
Status: discussed on-list, lack of consensus

draft-anumita-tcpm-stronger-checksum
Status: discussed on-list, mingled with historicize draft discussion

draft-duan-tcpm-tcp-ao-rekeying
Status: discussed in Anaheim and on-list; motivations and usefulness was
         questioned

draft-huang-tcpm-tcp-eack
Status: discussed on-list; there seems to be agreement that ACK congestion
         control (RFC 5690) will mitigate the issue

Older & Expired Documents Discussed
===================================

discussions on Rate-Halving
draft-mathis-tcp-ratehalving
Action: mailing list discussion about the history of this, and whether
         it needs to be revived

Faster Application Handshakes with SYN/ACK Payloads
expired draft-agl-tcpm-sadata
Status: expired; not specifically polled for adoption in WG

draft-ycheng-tcpm-rtosynrtt
Status: has been suggested as either an addition to 2988bis or to initcwnd
         documents
         discussion with authors indicates that this is superceded by the
         other changes in the 2988bis document

Documents Not Adopted by WG
===========================

TCP Option for Transparent Middlebox Discovery
draft-knutsen-tcpm-middlebox-discovery
Status: discussed on mailing list and updated in response
         poll for working group adoption opened on 12/9, responses
           desired by 12/23
         decision not to adopt by WG; IESG may allow publication and
           option number assignment at their discretion, but TCPM does
           not have consensus to do this work
         background presented at IETF 77
         authors are working with other vendors on a separate mailing list

draft-sridharan-tcpm-ctcp
Status: polled for interest on 6/16/10
         one positive response; no negative - too weak for adoption

Other TCP Documents
===================

TCP Cookie Transactions (TCPCT)
RFC 6013

Other WG Activities
===================

Errata Review for legacy TCP RFCs (many outstanding)

-- 
Wes Eddy
MTI Systems